package com.ghy.worker.service;

import com.ghy.worker.domain.WorkerGoodsCategory;

import java.util.List;

/**
 * 师傅服务类目Service
 *
 * @author HH 2022/6/7
 */
public interface WorkerGoodsCategoryService {

    int insert(WorkerGoodsCategory workerGoodsCategory);

    int delete(Long[] ids);

    int deleteByWorker(Long workerId);

    List<WorkerGoodsCategory> getByWorker(Long workerId);

    void updateWorkerGoodsCategory(Long workerId, List<WorkerGoodsCategory> categories);

    List<WorkerGoodsCategory> getWorkerGoodsCategory(WorkerGoodsCategory workerGoodsCategory);
}
